#
# spec file for package gnome-audio (Version 2.0.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           gnome-audio
BuildRequires:  gnome-filesystem
%define  prefix  /opt/gnome
#Required for installation of login.wav and logout.wav files.
%define  novell_prefix /opt/novell
%define  sysconfdir /etc%{prefix}
License:        GPL
Group:          System/GUI/GNOME
Provides:       gnaudio 
Obsoletes:      gnaudio 
Autoreqprov:    on
Requires:       gnome-filesystem
Summary:        Audio Files for the GNOME Desktop
Version:        2.0.0
Release:        134.2
Source:         ftp://ftp.gnome.org/pub/gnome/sources/gnome-audio/2.0/gnome-audio-%{version}.tar.bz2
Patch:          gnome-audio-install-novell-sounds.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
Sounds for GNOME and Gtk applications.



%debug_package
%prep
%setup 
%patch -p1

%build

%install
#novell_prefix is added for installation of login.wav and logout.wav files in /opt/novell/.
make prefix=$RPM_BUILD_ROOT/%{prefix} install 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%{prefix}/share/sounds/*

%changelog -n gnome-audio
* Mon Feb 13 2006 - gekker@suse.de
- Don't install sounds under /opt/novell
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Aug 24 2004 - ro@suse.de
- added directories to filelist
* Tue Aug 24 2004 - shprasad@suse.de
- Fixes bug #63044. (Fix given by sdharmaveer@novell.com).
  Removes startup3 and shutdown1 wav files from {prefix}/share/sounds directory,
  links them to login.wav and logout.wav in /opt/novell/sounds.
  Removes login.wav, logout.wav symlink from the package and puts in novell's
  login.wav and logout.wav sound files for installation.
  The package gnome-audio-2.0.0.tar.bz2 now contains two more files-login.wav
  and logout.wav. Before they were symlink to startup3.wav and shutdown1.wav
  respectively.
* Mon Sep 01 2003 - sbrabec@suse.cz
- Updated to version 2.0.0.
* Tue Jul 15 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jun 30 2003 - ro@suse.de
- removed docdir setting
- added gnome-filesystem to neededforbuild
* Thu Jan 30 2003 - hhetter@suse.de
- prefix to /opt/gnome2
* Fri Mar 02 2001 - egger@suse.de
- Renamed to gnome-audio.
- Major specfile overhaul.
- Updated to version 1.4.0.
* Sat Dec 09 2000 - nashif@suse.de
- sorted
* Mon Jun 19 2000 - ro@suse.de
- docdir fix
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 08 1999 - bs@suse.de
- made package "noarch"
* Tue Mar 02 1999 - ke@suse.de
- update: version 1.0.0 (pre).
* Tue Feb 16 1999 - ke@suse.de
- update: version 0.99.8.
- use sysconfdir=/etc/opt/gnome.
* Wed Feb 03 1999 - ke@suse.de
- update: version 0.99.4.
* Sun Jan 10 1999 - ke@suse.de
- initial package: version 0.1.
